PHP 5.3 or PHP 5.4 on ISPConfig 3.1.1p1 perfect server?

Discussion in 'General' started by onastvar, Dec 26, 2016.

  1. onastvar

    onastvar Member

    I have some clients who are using application that requires PHP 5.3 or PHP 5.4. Is it possible to install multiple older versions (or at least one older PHP). My current version is 5.6.29.
     
  2. Jesse Norell

    Jesse Norell Well-Known Member

  3. onastvar

    onastvar Member

    Thanks! I'm trying to find out if anyone was able to clean install PHP 5.4 on Debian Jessie - ISPConfig 3.1.1p1 without damaging PHP 5.6 or PHP 7.1?

    Using multiple PHP versions documentation does not have any info about my question. I tried to follow "How To Use Multiple PHP Versions" but it is outdated (since it's using Debian Wheezy, there are dependency issues).
     
  4. Jesse Norell

    Jesse Norell Well-Known Member

    Yes, I have debian jessie running with the default 5.6 and additional versions of 7.0.9 and 5.4.45, but 7.1 should be no different. I followed those guides, making a few adjustments for exact paths/version numbers as needed.
     
  5. Jesse Norell

    Jesse Norell Well-Known Member

  6. onastvar

    onastvar Member

    I have PHP 7.1 installed as additional version, also debian jessie running with the default 5.6. I will try installing PHP 5.4 again from this link.
     
  7. onastvar

    onastvar Member

    I'm stuck here, Finally start PHP-FPM (from this tutorial) how can I fix this?

    /etc/init.d/php-5.4.45-fpm start

    Starting php-fpm /etc/init.d/php-5.4.45-fpm: line 40: /opt/php-5.4.45/sbin/php-fpm: No such file or directory
    failed
     
  8. Jesse Norell

    Jesse Norell Well-Known Member

    Sounds like PHP 5.4 didn't get compiled/installed correctly, or was to a different location (not under /opt/php-5.4.45).
     
  9. onastvar

    onastvar Member

    I tried to install again, this time version PHP 5.4.12 (from this "how to" for debian wheezy)

    When I run ./configure (with all the options) i get

    /usr/local/src/php5-build/php-5.4.12
    If configure fails try --with-vpx-dir=<DIR>
    checking for png_write_image in -lpng... yes
    If configure fails try --with-xpm-dir=<DIR>
    configure: error: freetype.h not found.

    I'm trying to install multiple PHP versions (Already installed PHP 5.6 default and PHP 7.1) on Debian Jessie
     
  10. onastvar

    onastvar Member

    [SOLVED] Re-installed PHP 5.4.45
     

Share This Page